Name: ca_UTN-USERFirst-Hardware
Version: 1.32
Release: 1
Source: ca_UTN-USERFirst-Hardware-1.32.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_UTN-USERFirst-Hardware-1.32/ff783690.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for  worthless authority UTN-USERFirst-Hardware

%if %([ -n "http://www.comodo.com/" ] && echo 1 || echo 0)
URL: http://www.comodo.com/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%prep
%setup -n ca_UTN-USERFirst-Hardware-1.32

%description
This is the trust anchor for the  worthless authority UTN-USERFirst-Hardware.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr ff783690.* $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

